CREATE EXTENSION IF NOT EXISTS postgis;


CREATE TABLE IF NOT EXISTS missions (
    mission_id UUID  DEFAULT gen_random_uuid() PRIMARY KEY,
    satellite_id BIGINT NOT NULL,
    station VARCHAR(32),
    mission_start TIMESTAMP WITH TIME ZONE,
    mission_stop TIMESTAMP WITH TIME ZONE,
    status VARCHAR(15) DEFAULT 'NEW'
    );
CREATE INDEX idx_missions_mission_id ON missions(mission_id);